import request from '@/config/axios'

export interface AppMenuVO {
  id: number
  name: string
  permission: string
  type: number
  sort: number
  parentId: number
  path: string
  icon: string
  component: string
  componentName?: string
  status: number
  visible: boolean
  keepAlive: boolean
  alwaysShow?: boolean
  createTime: Date
}

// 查询菜单（精简）列表
export const getSimpleMenusList = () => {
  return request.get({ url: '/system/app-menu/simple-list' })
}

// 查询应用列表
export const getAppList = () => {
  return request.get({ url: '/system/app-menu/list' })
}

// 查询应用菜单列表
export const getAppMenuList = (id) => {
  return request.get({ url: '/system/app-menu/get-menu?id=' + id })
}

// 获取菜单详情
export const getAppMenu = (id: number) => {
  return request.get({ url: '/system/app-menu/get?id=' + id })
}

